/**
 * @Description: 大屏接口
 * @Author: wangcc
 * @Date: 2023-01-09 15:07:51
 * @LastEditors: wangcc
 * @LastEditTime: 2023-01-30 11:09:31
 * @FilePath: \parking_LargeScreen\src\api\http.js
 * @Copyright: Copyright (c) 2016~2023 by wangcc, All Rights Reserved. 
 */
 import request from '@/utils/request'

 // 查询路段停车场列表
  export function rightScrollData(data) {
    return request({
      url: '/admin/screen/roadPark/list',
      method: 'get',
      params:data
    })
  }

 // 查询数据概况
 export function totalData(data) {
  return request({
    url: '/admin/screen/roadPark/data',
    method: 'get',
    params:data
  })
}

 // 查询今日完成订单
 export function amtVehicle(data) {
  return request({
    url: '/admin/screen/roadPark/amtVehicle',
    method: 'get',
    params:data
  })
}

 // 查询收费排行榜
 export function amtTop(data) {
  return request({
    url: '/admin/screen/roadPark/amtTop',
    method: 'get',
    params:data
  })
}

//查询支付方式占比

export function paysource(data) {
  return request({
    url: '/admin/screen/roadPark/paysource',
    method: 'get',
    params:data
  })
}

// 近30日实收分析

export function income(data) {
  return request({
    url: '/admin/screen/roadPark/income',
    method: 'get',
    params:data
  })
}

// 查询路段停车场详情

export function detail(data) {
  return request({
    url: '/admin/screen/roadPark/detail',
    method: 'get',
    params:data
  })
}

// 查询数据总览
export function vehicleData(data) {
  return request({
    url: '/admin/screen/roadPark/vehicleData',
    method: 'get',
    params:data
  })
}

// 路段停车位情况
export function roadSpace(data) {
  return request({
    url: '/admin/screen/roadPark/roadSpace',
    method: 'get',
    params:data
  })
}

// 停车场停车位情况
export function parkSpace(data) {
  return request({
    url: '/admin/screen/roadPark/parkSpace',
    method: 'get',
    params:data
  })
}