import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import '@/assets/css/base.scss';

import 'element-ui/lib/theme-chalk/index.css';
import { Select, Option, Input, Table, TableColumn,Dialog } from 'element-ui';
import VScaleScreen from 'v-scale-screen'
import * as echarts from 'echarts';

Vue.use(VScaleScreen)
Vue.use(Select);
Vue.use(Option);
Vue.use(Input);
Vue.use(Table);
Vue.use(TableColumn);
Vue.use(Dialog);
Vue.config.productionTip = false
Vue.prototype.$echarts = echarts;

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
